## ros-melodic-jsk-rqt-plugins 2.1.8

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 2.8.3)
project(jsk_rqt_plugins)

find_package(catkin REQUIRED
  message_generation
)

catkin_python_setup()
catkin_package()

# From https://github.com/jsk-ros-pkg/jsk_recognition/pull/2345
# Install header files directly into ${CATKIN_PACKAGE_INCLUDE_DESTINATION}.
# If the package has setup.py and modules under src/${PROJECT_NAME}/,
# install python executables directly into ${CATKIN_PACKAGE_BIN_DESTINATION}.
# However, if it doesn't have setup.py, directories including python executables
# should be installed recursively into ${CATKIN_PACKAGE_SHARE_DESTINATION}.
# Also, other directories like 'launch' or 'sample' must be installed
# recursively into ${CATKIN_PACKAGE_SHARE_DESTINATION}.
# Be careful that 'launch' and 'launch/' are different: the former is directory
# and the latter is each content.
install(DIRECTORY bin/
  DESTINATION ${CATKIN_PACKAGE_BIN_DESTINATION}
  USE_SOURCE_PERMISSIONS
)
install(FILES plugin.xml
  DESTINATION ${CATKIN_PACKAGE_SHARE_DESTINATION}
)
install(DIRECTORY launch resource sample sample_scripts test
  DESTINATION ${CATKIN_PACKAGE_SHARE_DESTINATION}
  USE_SOURCE_PERMISSIONS
)

if (CATKIN_ENABLE_TESTING)
  find_package(rostest REQUIRED)
  if("$ENV{ROS_DISTRO}" STRGREATER "indigo")
    catkin_add_nosetests(test)
    add_rostest(test/test_rqt_plugins.test)
  endif()
endif()

## ros-melodic-jsk-rqt-plugins 2.1.7

=== debian/changelog ===
ros-melodic-jsk-rqt-plugins (2.1.7-2stretch) stretch; urgency=high

  * add noetic test (#774 <https://github.com/jsk-ros-pkg/jsk_visualization/issues/774>)
    
      * run 2to3 -f except
      * support noetic, conver to package format 3
    
  * Contributors: Kei Okada

 -- Ryohei Ueda <ueda@jsk.t.u-tokyo.ac.jp>  Sat, 17 Oct 2020 00:00:00 -0000

ros-melodic-jsk-rqt-plugins (2.1.6-2stretch) stretch; urgency=high

  * fix test failure in jsk_rqt_plugins (#766 <https://github.com/jsk-ros-pkg/jsk_visualization/issues/766>)
    
      * disable jsk_rqt_plugins test in indigo
        this is because indigo does not support matplotlib
        liner_model.RANSACRegressor.
    
  * [jsk_rqt_plugins] load rosparam correctly in button_general.py (#746 <https://github.com/jsk-ros-pkg/jsk_visualization/issues/746>)
  * Replace image_pipeline with image_publisher (#729 <https://github.com/jsk-ros-pkg/jsk_visualization/issues/729>)
    
      * Replace image_pipeline with image_publisher
        * image_pipeline is a meta package and normal ros packages are not
        intended to depend on meta packages.
    
  * Contributors: Ryohei Ueda, Shingo Kitagawa

 -- Ryohei Ueda <ueda@jsk.t.u-tokyo.ac.jp>  Mon, 13 Apr 2020 00:00:00 -0000

ros-melodic-jsk-rqt-plugins (2.1.5-2stretch) stretch; urgency=high



 -- Ryohei Ueda <ueda@jsk.t.u-tokyo.ac.jp>  Mon, 18 Feb 2019 00:00:00 -0000

ros-melodic-jsk-rqt-plugins (2.1.4-2stretch) stretch; urgency=high

  * Fix install destination (#717 <https://github.com/jsk-ros-pkg/jsk_visualization/issues/717>)
    * Update comment about installation
    * Add comment for install destination
    * Install missing test/ as well
    * Use source permission when installing executables
    * Fix installation destination
  * [jsk_rqt_plugins] Fix for working correctly on kinetic + qt5 (#708 <https://github.com/jsk-ros-pkg/jsk_visualization/issues/708>)
    * Add sample for rqt_image_view2
    * Update test for rqt_drc_mini_maxwell
    * Add sample for rqt_drc_mini_maxwell
    * Update test for rqt_3d_plot
    * Add sample for rqt_3d_plot
    * Fix for substituting to 'intercept'
    * Specify version of image_pipeline
    * Support matplotlib backend for qt5
    * Support qt>=5 in rqt plugins
    * Add dependency for test
    * Set retry=3 for test
    * Install all programs in jsk_rqt_plugins/bin/
    * Add test for program in jsk_rqt_plugins
    * use matplotlib.backends.backend_qt5agg in Qt5
    * add queue_size in publishers
    * check opencv version for kinetic
    * follow new sklearn ranac linear regression
    * use correct module for qt5
    * refactor plot_2d.py
  * [jsk_rqt_plugins] fix hist.py to work on kinetic (#707 <https://github.com/jsk-ros-pkg/jsk_visualization/issues/707>)
  * Revert "[jsk_rqt_plugins/HistogramPlot] modify to correctly run on kinetic (#688 <https://github.com/jsk-ros-pkg/jsk_visualization/issues/688>)" (#704 <https://github.com/jsk-ros-pkg/jsk_visualization/issues/704>)
    This reverts commit 79dcedf7fd761fc638f1cffc1cfaa46a7bb4f1a2.
  * [jsk_rqt_plugins/HistogramPlot] modify to correctly run on kinetic (#688 <https://github.com/jsk-ros-pkg/jsk_visualization/issues/688>)
    * refactor codes in hist.py
    * use correct module of qt5 for kinetic
    * check opencv version for kinetic
    * add queue_size in publisher
  * [jsk_rqt_plugins] Add dependency of sklearn (#701 <https://github.com/jsk-ros-pkg/jsk_visualization/issues/701>)
  * Add <url> to package.xml to add link to README (#681 <https://github.com/jsk-ros-pkg/jsk_visualization/issues/681>)
  * Contributors: Kei Okada, Kentaro Wada, Masaki Murooka, Shingo Kitagawa, Yuto Uchimi, Iory Yanokura

 -- Ryohei Ueda <ueda@jsk.t.u-tokyo.ac.jp>  Thu, 01 Nov 2018 00:00:00 -0000

ros-melodic-jsk-rqt-plugins (2.1.3-2stretch) stretch; urgency=high

  * PR #672 <https://github.com/jsk-ros-pkg/jsk_visualization/issues/672> needs jsk_gui_msgs 4.3.0 (https://github.com/jsk-ros-pkg/jsk_common_msgs/pull/18) (#673 <https://github.com/jsk-ros-pkg/jsk_visualization/issues/673>)
  * Display message on rqt_yn_btn (#672 <https://github.com/jsk-ros-pkg/jsk_visualization/issues/672>)
  * Contributors: Kei Okada, Kentaro Wada

 -- Ryohei Ueda <ueda@jsk.t.u-tokyo.ac.jp>  Thu, 26 Oct 2017 00:00:00 -0000

ros-melodic-jsk-rqt-plugins (2.1.2-2stretch) stretch; urgency=high



 -- Ryohei Ueda <ueda@jsk.t.u-tokyo.ac.jp>  Fri, 07 Jul 2017 00:00:00 -0000

ros-melodic-jsk-rqt-plugins (2.1.1-2stretch) stretch; urgency=high



 -- Ryohei Ueda <ueda@jsk.t.u-tokyo.ac.jp>  Wed, 15 Feb 2017 00:00:00 -0000

ros-melodic-jsk-rqt-plugins (2.1.0-2stretch) stretch; urgency=high



 -- Ryohei Ueda <ueda@jsk.t.u-tokyo.ac.jp>  Mon, 13 Feb 2017 00:00:00 -0000

ros-melodic-jsk-rqt-plugins (2.0.1-2stretch) stretch; urgency=high



 -- Ryohei Ueda <ueda@jsk.t.u-tokyo.ac.jp>  Thu, 15 Dec 2016 00:00:00 -0000

ros-melodic-jsk-rqt-plugins (2.0.0-2stretch) stretch; urgency=high



 -- Ryohei Ueda <ueda@jsk.t.u-tokyo.ac.jp>  Wed, 14 Dec 2016 00:00:00 -0000

ros-melodic-jsk-rqt-plugins (1.0.34-2stretch) stretch; urgency=high



 -- Ryohei Ueda <ueda@jsk.t.u-tokyo.ac.jp>  Thu, 29 Sep 2016 00:00:00 -0000

ros-melodic-jsk-rqt-plugins (1.0.33-2stretch) stretch; urgency=high



 -- Ryohei Ueda <ueda@jsk.t.u-tokyo.ac.jp>  Tue, 13 Sep 2016 00:00:00 -0000

ros-melodic-jsk-rqt-plugins (1.0.32-2stretch) stretch; urgency=high



 -- Ryohei Ueda <ueda@jsk.t.u-tokyo.ac.jp>  Wed, 20 Jul 2016 00:00:00 -0000

ros-melodic-jsk-rqt-plugins (1.0.31-2stretch) stretch; urgency=high

  * Warn about unsupported topic type
  * Check class type of data instead of subscribed topic type in rqt_histgram_plot to support HistgramWithRangeArray
  * Contributors: Kentaro Wada, Iori Kumagai

 -- Ryohei Ueda <ueda@jsk.t.u-tokyo.ac.jp>  Thu, 19 May 2016 00:00:00 -0000

ros-melodic-jsk-rqt-plugins (1.0.30-2stretch) stretch; urgency=high



 -- Ryohei Ueda <ueda@jsk.t.u-tokyo.ac.jp>  Fri, 25 Mar 2016 00:00:00 -0000



=== debian/control ===
Source: ros-melodic-jsk-rqt-plugins
Section: misc
Priority: optional
Maintainer: Ryohei Ueda <ueda@jsk.t.u-tokyo.ac.jp>
Build-Depends: debhelper (>= 9.0.0), ros-melodic-catkin, ros-melodic-image-view2, ros-melodic-message-generation, ros-melodic-mk, ros-melodic-rosbuild, ros-melodic-roslaunch, ros-melodic-rostest
Homepage: http://jsk-docs.readthedocs.io/en/latest/jsk_visualization/doc/jsk_rqt_plugins
Standards-Version: 3.9.2

Package: ros-melodic-jsk-rqt-plugins
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, python-sklearn, python-urlgrabber, ros-melodic-cv-bridge, ros-melodic-image-publisher (>= 1.12.23), ros-melodic-image-view2, ros-melodic-jsk-gui-msgs (>= 4.3.0), ros-melodic-message-runtime, ros-melodic-qt-gui-py-common, ros-melodic-resource-retriever, ros-melodic-rqt-gui, ros-melodic-rqt-gui-py, ros-melodic-rqt-image-view, ros-melodic-rqt-plot
Description: The jsk_rqt_plugins package

## ros-melodic-jsk-rqt-plugins 2.1.8

=== debian/changelog ===
ros-melodic-jsk-rqt-plugins (2.1.8-1bionic) bionic; urgency=high

  * [jsk_interactive_markers][jsk_rqt_plugins] fix yaml load (#818 <https://github.com/jsk-ros-pkg/jsk_visualization/issues/818>)
  * fix with '2to3 -w -f zip .' (#817 <https://github.com/jsk-ros-pkg/jsk_visualization/issues/817>)
    
      * In python3, sys.maxint changed to sys.maxsize
      * fix "TypeError: 'dict_keys' object is not subscriptable" error
        we can fix this by '2to3 -w -f dict', but it will change too many lines, so we do not use this for now....
      * fix with '2to3 -w -f import .'
      * fix cStringIO.StringIO -> io.BytesIO, see https://stackoverflow.com/questions/11914472/stringio-in-python3 / https://stackoverflow.com/questions/50797043/string-argument-expected-got-bytes-in-buffer-write
      * [jsk_rqt_plugins][jsk_rviz_plugins] Fix has_key
    
  * add tabbed_buttuns to rqt_plugin (#813 <https://github.com/jsk-ros-pkg/jsk_visualization/issues/813>)
  * update .travis to 0.5.21 (#814 <https://github.com/jsk-ros-pkg/jsk_visualization/issues/814>)
  * Updating the URLs of the jsk_rviz_plugins and jsk_rqt_plugins so the generated README points to working links (closes #805 ). (#806 <https://github.com/jsk-ros-pkg/jsk_visualization/issues/806>)
  * Support single button setup in ServiceButtons plugin (#798 <https://github.com/jsk-ros-pkg/jsk_visualization/issues/798>)
    
      * *column_indices expects to be an array of integers and the length
    should be equal or longer than 2.
    * If column_indices is just an array of a single integer (length is
    1), do not apply sum with expanding a list argument.
  * fix for using button_general.py without perspective file (#796 <https://github.com/jsk-ros-pkg/jsk_visualization/issues/796>)
  * [jsk_rqt_plugins/button_general.py] reset button if SetBool fail (#794 <https://github.com/jsk-ros-pkg/jsk_visualization/issues/794>)
  * sample_service_button.py support SetBool (#792 <https://github.com/jsk-ros-pkg/jsk_visualization/issues/792>)
  * add sample_service_radio_buttons script (#789 <https://github.com/jsk-ros-pkg/jsk_visualization/issues/789>)
  * add sample_service_buttons scriptf (#790 <https://github.com/jsk-ros-pkg/jsk_visualization/issues/790>)
  * add sample_service_buttons.launch (#791 <https://github.com/jsk-ros-pkg/jsk_visualization/issues/791>)
  * Contributors: Adi Vardi, Kei Okada, Naoki Hiraoka, Ryohei Ueda, Sam Pfeiffer, Shingo Kitagawa, Yohei Kakiuchi

 -- Ryohei Ueda <ueda@jsk.t.u-tokyo.ac.jp>  Mon, 10 Jan 2022 15:00:00 -0000

ros-melodic-jsk-rqt-plugins (2.1.7-1bionic) bionic; urgency=high

  * add noetic test (#774 <https://github.com/jsk-ros-pkg/jsk_visualization/issues/774>)
    
      * run 2to3 -f except
      * support noetic, conver to package format 3
    
  * Contributors: Kei Okada

 -- Ryohei Ueda <ueda@jsk.t.u-tokyo.ac.jp>  Fri, 16 Oct 2020 15:00:00 -0000

ros-melodic-jsk-rqt-plugins (2.1.6-1bionic) bionic; urgency=high

  * fix test failure in jsk_rqt_plugins (#766 <https://github.com/jsk-ros-pkg/jsk_visualization/issues/766>)
    
      * disable jsk_rqt_plugins test in indigo
        this is because indigo does not support matplotlib
        liner_model.RANSACRegressor.
    
  * [jsk_rqt_plugins] load rosparam correctly in button_general.py (#746 <https://github.com/jsk-ros-pkg/jsk_visualization/issues/746>)
  * Replace image_pipeline with image_publisher (#729 <https://github.com/jsk-ros-pkg/jsk_visualization/issues/729>)
    
      * Replace image_pipeline with image_publisher
        * image_pipeline is a meta package and normal ros packages are not
        intended to depend on meta packages.
    
  * Contributors: Ryohei Ueda, Shingo Kitagawa

 -- Ryohei Ueda <ueda@jsk.t.u-tokyo.ac.jp>  Sun, 12 Apr 2020 15:00:00 -0000

ros-melodic-jsk-rqt-plugins (2.1.5-1bionic) bionic; urgency=high



 -- Ryohei Ueda <ueda@jsk.t.u-tokyo.ac.jp>  Sun, 17 Feb 2019 15:00:00 -0000

ros-melodic-jsk-rqt-plugins (2.1.4-1bionic) bionic; urgency=high

  * Fix install destination (#717 <https://github.com/jsk-ros-pkg/jsk_visualization/issues/717>)
    * Update comment about installation
    * Add comment for install destination
    * Install missing test/ as well
    * Use source permission when installing executables
    * Fix installation destination
  * [jsk_rqt_plugins] Fix for working correctly on kinetic + qt5 (#708 <https://github.com/jsk-ros-pkg/jsk_visualization/issues/708>)
    * Add sample for rqt_image_view2
    * Update test for rqt_drc_mini_maxwell
    * Add sample for rqt_drc_mini_maxwell
    * Update test for rqt_3d_plot
    * Add sample for rqt_3d_plot
    * Fix for substituting to 'intercept'
    * Specify version of image_pipeline
    * Support matplotlib backend for qt5
    * Support qt>=5 in rqt plugins
    * Add dependency for test
    * Set retry=3 for test
    * Install all programs in jsk_rqt_plugins/bin/
    * Add test for program in jsk_rqt_plugins
    * use matplotlib.backends.backend_qt5agg in Qt5
    * add queue_size in publishers
    * check opencv version for kinetic
    * follow new sklearn ranac linear regression
    * use correct module for qt5
    * refactor plot_2d.py
  * [jsk_rqt_plugins] fix hist.py to work on kinetic (#707 <https://github.com/jsk-ros-pkg/jsk_visualization/issues/707>)
  * Revert "[jsk_rqt_plugins/HistogramPlot] modify to correctly run on kinetic (#688 <https://github.com/jsk-ros-pkg/jsk_visualization/issues/688>)" (#704 <https://github.com/jsk-ros-pkg/jsk_visualization/issues/704>)
    This reverts commit 79dcedf7fd761fc638f1cffc1cfaa46a7bb4f1a2.
  * [jsk_rqt_plugins/HistogramPlot] modify to correctly run on kinetic (#688 <https://github.com/jsk-ros-pkg/jsk_visualization/issues/688>)
    * refactor codes in hist.py
    * use correct module of qt5 for kinetic
    * check opencv version for kinetic
    * add queue_size in publisher
  * [jsk_rqt_plugins] Add dependency of sklearn (#701 <https://github.com/jsk-ros-pkg/jsk_visualization/issues/701>)


=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Priority: optional
 Maintainer: Ryohei Ueda <ueda@jsk.t.u-tokyo.ac.jp>
 Build-Depends: debhelper (>= 9.0.0), ros-melodic-catkin, ros-melodic-image-view2, ros-melodic-message-generation, ros-melodic-mk, ros-melodic-rosbuild, ros-melodic-roslaunch, ros-melodic-rostest
-Homepage: http://jsk-docs.readthedocs.io/en/latest/jsk_visualization/doc/jsk_rqt_plugins
+Homepage: https://jsk-visualization.readthedocs.io/en/latest/jsk_rqt_plugins/index.html
 Standards-Version: 3.9.2
 
 Package: ros-melodic-jsk-rqt-plugins

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/melodic/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG

%:
	dh $@ -v --buildsystem=cmake

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/melodic/setup.sh" ]; then . "/opt/ros/melodic/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCATKIN_BUILD_BINARY_PACKAGE="1" \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/melodic" \
		-DCMAKE_PREFIX_PATH="/opt/ros/melodic"

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/melodic/setup.sh" ]; then . "/opt/ros/melodic/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/melodic/setup.sh" ]; then . "/opt/ros/melodic/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/melodic/setup.sh" ]; then . "/opt/ros/melodic/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-melodic-jsk-rqt-plugins//opt/ros/melodic/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/melodic/setup.sh" ]; then . "/opt/ros/melodic/setup.sh"; fi && \
	dh_auto_install
